%define ver		5.0
%define rel		M4
%define prefix	/usr
%define tmp	/var/tmp	

Summary: Source code released by Netscape for the Navigator browser.
Name:		mozilla
Version:	%ver
Release:	%rel
Copyright:	NPL
Group: Applications/Internet
Source:		mozilla-%{ver}-%{rel}.tar.gz
BuildRoot:	%{tmp}/%{name}-root
Packager:	Ramiro Estrugo <ramiro@netscape.com>
URL:		http://www.mozilla.org/
Provides:	mozilla
Requires:	glib >= 1.2.0 gtk+ >= 1.2 nspr-pthreads >= 3.1

%description
On 1/23/98, Netscape Communications announced that the source code for
their Netscape Communicator product would be free.  Mozilla is the source
code released by Netscape for the Netscape Navigator web browser.

%package devel
Summary: The header files and development libraries for Mozilla development.
Group: Applications/Internet
#Requires:	mozilla nspr-devel

#Obsoletes: libnspr-devel
#Conflicts: libnspr-userthreads-devel

%description devel
The mozilla-devel package contains the header files and development
libraries for Mozilla.

%changelog
* Wed Apr 28 1999 Matt Wilson <msw@redhat.com>
- built for powertools

%prep
%setup -n mozilla

%build
./configure \
			--with-pthreads \
			--enable-toolkit=gtk \
			--disable-build-nspr \
			--disable-debug \
			--enable-optimize

make

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/mozilla/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/include/mozilla
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/mozilla/idl
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/mozilla/chrome
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/mozilla/res
mkdir -p $RPM_BUILD_ROOT/usr/bin

cp -rpv dist/bin/chrome/* $RPM_BUILD_ROOT%{prefix}/lib/mozilla/chrome
cp -rpv dist/bin/components/*.so $RPM_BUILD_ROOT%{prefix}/lib/mozilla/components
cp -rpv dist/bin/res/* $RPM_BUILD_ROOT%{prefix}/lib/mozilla/res
cp -rpv dist/bin/*.so $RPM_BUILD_ROOT%{prefix}/lib
cp -rpv dist/include/* $RPM_BUILD_ROOT%{prefix}/include/mozilla
cp -rpv dist/idl/* $RPM_BUILD_ROOT%{prefix}/lib/mozilla/idl
cp -rpv dist/lib/*.a $RPM_BUILD_ROOT%{prefix}/lib
cp -rpv dist/bin/apprunner $RPM_BUILD_ROOT%{prefix}/lib/mozilla/bin
cp -rpv dist/bin/viewer $RPM_BUILD_ROOT%{prefix}/lib/mozilla/bin
cp -rpv dist/bin/vreg $RPM_BUILD_ROOT%{prefix}/lib/mozilla/bin

cp -rpv build/package/rpm/mozilla-viewer $RPM_BUILD_ROOT/usr/bin/mozilla-viewer
cp -rpv build/package/rpm/mozilla $RPM_BUILD_ROOT/usr/bin/mozilla

%clean
rm -rf $RPM_BUILD_ROOT

%post

#if grep "/usr/mozilla/lib" /etc/ld.so.conf > /dev/null 2>&1
#then
#	:
#else
#	echo "/usr/mozilla/lib" >> /etc/ld.so.conf
#fi
#
#/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%{prefix}/lib/mozilla/chrome/*
%{prefix}/lib/mozilla/components/*
%{prefix}/lib/*.so
%{prefix}/lib/mozilla/bin/*
%{prefix}/lib/mozilla/res/*
%attr(755, root, root)/usr/bin/mozilla-viewer
%attr(755, root, root)/usr/bin/mozilla

%files devel
%defattr(-, root, root)

%{prefix}/lib/*.a
%{prefix}/include/mozilla/*
%{prefix}/lib/mozilla/idl/*
